org.eclnt.jsfserver.elements.componentnodes

## Class FILECREATEDIRECTORYNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.FILECREATEDIRECTORYNode

- All Implemented Interfaces:
    java.io.Serializable

      public class FILECREATEDIRECTORYNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FILECREATEDIRECTORYNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FILECREATEDIRECTORYNode` | `bindActionListener(IActionListenerDelegation value)`
    `FILECREATEDIRECTORYNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `FILECREATEDIRECTORYNode` | `bindComment(IDynamicContentBindingObject value)`
    `FILECREATEDIRECTORYNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `FILECREATEDIRECTORYNode` | `bindDirectory(IDynamicContentBindingObject value)`
    `FILECREATEDIRECTORYNode` | `bindRendered(IDynamicContentBindingObject value)`
    `FILECREATEDIRECTORYNode` | `bindWithcallback(IDynamicContentBindingObject value)`
    `FILECREATEDIRECTORYNode` | `setActionListener(java.lang.String value)`
    `FILECREATEDIRECTORYNode` | `setAdapterbinding(java.lang.String value)`
    `FILECREATEDIRECTORYNode` | `setAttributemacro(java.lang.String value)`
    `FILECREATEDIRECTORYNode` | `setComment(java.lang.String value)`
    `FILECREATEDIRECTORYNode` | `setConfiginfo(java.lang.String value)`
    `FILECREATEDIRECTORYNode` | `setDirectory(java.lang.String value)`
    `FILECREATEDIRECTORYNode` | `setId(java.lang.String value)`
    `FILECREATEDIRECTORYNode` | `setRendered(boolean value)`
    `FILECREATEDIRECTORYNode` | `setRendered(java.lang.String value)`
    `FILECREATEDIRECTORYNode` | `setWithcallback(boolean value)`
    `FILECREATEDIRECTORYNode` | `setWithcallback(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FILECREATEDIRECTORYNode

          public FILECREATEDIRECTORYNode()

  - ### Method Detail

    - #### setId

          public FILECREATEDIRECTORYNode setId(java.lang.String value)

    - #### setActionListener

          public FILECREATEDIRECTORYNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public FILECREATEDIRECTORYNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public FILECREATEDIRECTORYNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public FILECREATEDIRECTORYNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public FILECREATEDIRECTORYNode setAttributemacro(java.lang.String value)

    - #### setComment

          public FILECREATEDIRECTORYNode setComment(java.lang.String value)

    - #### bindComment

          public FILECREATEDIRECTORYNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public FILECREATEDIRECTORYNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public FILECREATEDIRECTORYNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDirectory

          public FILECREATEDIRECTORYNode setDirectory(java.lang.String value)

    - #### bindDirectory

          public FILECREATEDIRECTORYNode bindDirectory(IDynamicContentBindingObject value)

    - #### setRendered

          public FILECREATEDIRECTORYNode setRendered(java.lang.String value)

    - #### bindRendered

          public FILECREATEDIRECTORYNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public FILECREATEDIRECTORYNode setRendered(boolean value)

    - #### setWithcallback

          public FILECREATEDIRECTORYNode setWithcallback(java.lang.String value)

    - #### bindWithcallback

          public FILECREATEDIRECTORYNode bindWithcallback(IDynamicContentBindingObject value)

    - #### setWithcallback

          public FILECREATEDIRECTORYNode setWithcallback(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.